
QGIS Application - Bug report #18977

Problem changing the proyection of point shapefile

2018-05-17 11:10 PM - José Miguel Pascual

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:3.0.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26808

Description

I'm trying to change the proyection of points in the US from WGS 84 to US Atlas (EPSG: 2163), to calculate distances. 

In order to do that, I opened the csv with the points and then save it writing a new vector in the required proyection. The issue is that I

loose most of the points (all in Nebraska for example) on the new shapefile.

Here I add part of the csv data and the new shapefile.

Associated revisions

Revision 681074bf - 2018-05-22 03:57 AM - Nyall Dawson

Setting crs for extent group box shouldn't auto check the box

Causes e.g. changing the destination CRS in the save vector

file dialog to accidentally enable the "extent" filter option.

Refs #18977

History

#1 - 2018-05-21 08:44 PM - José Miguel Pascual

I'm trying to change the projection of points in the US from WGS 84 to US Atlas (EPSG: 2163), to calculate distances. 

In order to do that, I opened the csv with the points and then save it writing a new vector in the required projection. The issue is that I loose most of the

points (all in Nebraska for example) on the new shapefile.

When trying to reproject it using the processing toolbox it crashes.

User Feedback

Qgis crashes when trying to reproject it using the processing toolbox

Report Details

Crash ID: 7f7fe12663f1e633a0c13ed0e00e224678193a18

Stack Trace

RaiseException :

_TypeMatch :

RtlCaptureContext :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Here I add part of the csv data and the new shapefile.

#2 - 2018-05-22 03:30 AM - Nyall Dawson

https://github.com/qgis/QGIS/pull/7043 fixes the described crash and missing features issue, but the underlying cause is a bad row in your CSV:

"Nb    Washington    Herman    41.673559    -96215069"

#3 - 2018-05-22 04:01 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Files

point-locations.csv 3.82 KB 2018-05-17 José Miguel Pascual

Proyected-point-location.cpg 5 Bytes 2018-05-17 José Miguel Pascual

Proyected-point-location.dbf 13.7 KB 2018-05-17 José Miguel Pascual

Proyected-point-location.prj 448 Bytes 2018-05-17 José Miguel Pascual

Proyected-point-location.qpj 673 Bytes 2018-05-17 José Miguel Pascual

Proyected-point-location.shp 576 Bytes 2018-05-17 José Miguel Pascual

Proyected-point-location.shx 236 Bytes 2018-05-17 José Miguel Pascual

2025-12-21 2/2

https://github.com/qgis/QGIS/pull/7043

